ATOMIC(9)

NAME
atomic, atomic_setbits_int, atomic_clearbits_int - interface to perform atomic operations on data

SYNOPSIS
#include <machine/atomic.h>
void
atomic_setbits_int(unsigned int *p, unsigned int b);
void
atomic_clearbits_int(unsigned int *p, unsigned int b);

DESCRIPTION
The atomic set of functions provide an interface for changing data atomically with respect to interrupts and multiple processors in the system.

The atomic_setbits_int() function sets the bits in b in the integer pointed to by p. It is equivalent to

    *p |= b;

The atomic_clearbits_int() function clears the bits in b in the integer pointed to by p. It is equivalent to

    *p &= ~b;

HISTORY
The atomic functions first appeared in OpenBSD 4.1.